For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
LogoLogo
Legacy DocsSign in
API Reference

Pagination

GET
/v3/transactions
1curl -X "GET" \
2 "https://api.ntropy.com/v3/transactions" \
3 -H "Accept: application/json" \
4 -H "X-API-KEY: cd1H...Wmhl"
Try it
Was this page helpful?
Previous

Rate limits

Next
Built with

All API resources available support bulk fetches through cursor-based pagination. These endpoints share a common structure and accept at least two parameters: limit and cursor. The limit parameter sets the limit on the number of objects to return and cursor represents the starting point for the set of results.

The response of these endpoints is defined by two fields: next_cursor and data. The next_cursor, if defined, represents the starting point of the next set of results, otherwise it signals that the current set is the last one with results. The parameter data represents the elements of the set.